Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001349TestLinkTest Specificationpublic2008-02-02 07:142010-11-14 12:07
Reportercmurray 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.7.3 
Fixed in Version1.9 (Prague) 
Summary0001349: Import **and/or update** test cases via spreadsheet or API
DescriptionFor users who have good systems (spreadsheets or database) for managing their test cases outside of TestLink, but want to put test results into TestLink for centralized reporting, etc...

They need and import tool that can optionally update existing test cases.
I've written the necessary code with the following features:
Uses precise column names so you can remove columns that you do not care about, or you can put them in an order that is better for your workflow. Also, this allows us to add new columns in any location in the future.
Here is the current list:

project
   (text: must exactly match one of the current test project names)
category
   (matches an existing test suite hierarchy in the project;
   "::" separated; case-sensitive)
test_name
   (ASCII text)
summary
   (text/html)
priority
   (P0-P5)
keywords
   (comma-separated list of ASCII printable strings, no white space)
negative
   ("Y" or "Yes" will select the checkbox, case-insensitive)
automatable
   (M/Manual or A/Automatable, case-insensitive) steps (text/html) expected_results
   (text/html)

Only import rows that have a valid Test Project name in the project column. That way, you can add other information to the spreadsheet that will be ignored, such as columns or row breaks, for readability.

The logical next step is to **generate** spreadsheets in the above format.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0003175)
mhavlat (reporter)
2008-02-03 08:47

Reminder sent to: schlundus

Andreas, would you like to add it in 1.8?
(0003178)
fman (administrator)
2008-02-04 01:07

OK, if this will be realeased AFTER Beta.
(0012204)
fman (administrator)
2010-10-31 17:41

solved using XML import
(0012514)
fman (administrator)
2010-11-14 12:07

1.9 (Prague) Released

- Issue History
Date Modified Username Field Change
2008-02-02 07:14 cmurray New Issue
2008-02-03 08:47 mhavlat Note Added: 0003175
2008-02-04 01:07 fman Note Added: 0003178
2010-10-31 17:41 fman Note Added: 0012204
2010-10-31 17:41 fman Status new => resolved
2010-10-31 17:41 fman Fixed in Version => 1.9 (Prague)
2010-10-31 17:41 fman Resolution open => fixed
2010-10-31 17:41 fman Assigned To => fman
2010-11-14 12:07 fman Note Added: 0012514
2010-11-14 12:07 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker